## org.jboss.util
Interface TimedCachePolicy.TimedEntry

Enclosing class:
  TimedCachePolicy

public static interface TimedCachePolicy.TimedEntry

The interface that cache entries support.

Method Summary
`java.lang.Object` `getValue()` Get the value component of the TimedEntry.
`void` `init(long now)` Initializes an entry with the current cache time.
`boolean` `isCurrent(long now)` Is the entry still valid basis the current time
`boolean` `refresh()` Attempt to extend the entry lifetime by refreshing it.

Method Detail

### init

    public void init(long now)

  Initializes an entry with the current cache time. This is called when the entry is first inserted into the cache so that entries do not have to know the absolute system time.

### isCurrent

    public boolean isCurrent(long now)

  Is the entry still valid basis the current time
  Returns:
    true if the entry is within its lifetime, false if it is expired.

### refresh

    public boolean refresh()

  Attempt to extend the entry lifetime by refreshing it.
  Returns:
    true if the entry was refreshed successfully, false otherwise.

### getValue

    public java.lang.Object getValue()

  Get the value component of the TimedEntry. This may or may not be the TimedEntry implementation.

Copyright © 2000 The JBoss Organization. All Rights Reserved.